/*  Pcsx - Pc Psx Emulator
 *  Copyright (C) 1999-2002  Pcsx Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __HW_H__
#define __HW_H__

void hwReset();
unsigned char  hwRead8 (unsigned long add);
unsigned short hwRead16(unsigned long add);
unsigned long  hwRead32(unsigned long add);
void hwWrite8 (unsigned long add, unsigned char value);
void hwWrite16(unsigned long add, unsigned short value);
void hwWrite32(unsigned long add, unsigned long value);
int hwFreeze(gzFile f, int Mode);

#endif /* __HW_H__ */
